"""REST serializers for countdown items."""
from rest_framework import serializers

from countdown.models import CountdownItem


class CountdownItemSerializer(serializers.ModelSerializer):
    """Countdown item serializer for the REST API."""

    class Meta:
        """Meta options."""

        model = CountdownItem
        fields = '__all__'
