"""URL patterns for the countdown views."""
from django.conf.urls import include, url
from rest_framework.routers import DefaultRouter

from countdown.views import CountdownItemViewSet

router = DefaultRouter()
router.register(r'items', CountdownItemViewSet)

urlpatterns = [
    url(r'^api/', include(router.urls)),
]
