# -*- coding: utf-8 -*-
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GitlabConfig',
            fields=[
                ('id', models.AutoField(auto_created=True, verbose_name='ID', primary_key=True, serialize=False)),
                ('url', models.URLField()),
                ('token', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='GitlabProjectConfig',
            fields=[
                ('id', models.AutoField(auto_created=True, verbose_name='ID', primary_key=True, serialize=False)),
                ('project_id', models.CharField(max_length=64)),
                ('manage_merge_request_code_reviews', models.BooleanField(default=False)),
                ('code_reviews_necessary', models.PositiveSmallIntegerField(default=0)),
                ('code_reviewers', models.TextField(blank=True, default='')),
                ('code_review_final_merge_assignees', models.TextField(blank=True, default='')),
                ('gitlab_config', models.ForeignKey(to='gitlab_bot.GitlabConfig', null=True, on_delete=models.CASCADE)),
            ],
        ),
    ]
