"""Serializers for the karma objects."""

from rest_framework import serializers

from karma.models import KarmaKey


class KarmaKeySerializer(serializers.ModelSerializer):
    """Serializer for the REST API."""

    class Meta:
        """Meta options."""

        model = KarmaKey
        fields = ('id', 'key', 'score', 'rank')
