"""Serializers for the fact objects."""
from rest_framework import serializers

from facts.models import Fact


class FactSerializer(serializers.ModelSerializer):
    """Serializer for the REST API."""

    class Meta:
        """Meta options."""

        model = Fact
        fields = ('id', 'fact', 'category')
