"""Forms for doing ircbot stuff."""
import logging

from django.forms import CharField, Form, IntegerField, Textarea

log = logging.getLogger('ircbot.forms')


class PrivmsgForm(Form):
    """Accept a privmsg to send to the ircbot."""

    target = CharField()
    message = CharField(widget=Textarea)
    xmlrpc_host = CharField()
    xmlrpc_port = IntegerField()
