"""URL patterns for the pi views."""
from django.conf.urls import include, url
from rest_framework.routers import DefaultRouter

from pi.views import PiLogViewSet

router = DefaultRouter()
router.register(r'simulations', PiLogViewSet)

urlpatterns = [
    url(r'^api/', include(router.urls)),
]
