# -*- coding: utf-8 -*-

from django.db import models, migrations
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SeenNick',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('nick', models.CharField(max_length=64)),
                ('channel', models.CharField(max_length=64)),
                ('host', models.CharField(max_length=255)),
                ('seen_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('what', models.TextField()),
            ],
            options={
                'ordering': ['-seen_time'],
            },
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name='seennick',
            unique_together=set([('nick', 'channel')]),
        ),
    ]
